KRB5_CONTEXT(3)

NAME
krb5_context - krb5 state structure

LIBRARY
Kerberos 5 Library (libkrb5, -lkrb5)

SYNOPSIS
#include <krb5/krb5.h>

DESCRIPTION
The krb5_context structure is designed to hold all per thread state. All global variables that are context specific are stored in this structure, including default encryption types, credentials-cache (ticket file), and default realms.

The internals of the structure should never be accessed directly, functions exist for extracting information.

SEE ALSO
krb5_init_context(3), kerberos(8)